Skip to main content
POST
/
api
/
v1
/
allmodelchat
/
styles
Create Style
curl --request POST \
  --url https://api.example.com/api/v1/allmodelchat/styles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "system_prompt": "<string>",
  "output_format": "<string>",
  "language": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "system_prompt": "<string>",
  "output_format": "<string>",
  "language": "<string>",
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
system_prompt
string
required
output_format
string | null
language
string | null

Response

Successful Response

id
string<uuid>
required
name
string
required
system_prompt
string
required
output_format
string | null
required
language
string | null
required
is_default
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required